Subject: bug#8276: another crash in mark_object

From: emacs user <[email-masked]>
Date: Thu, 17 Mar 2011 22:18:40 +0200

does this help?  this is for the second crash report, the one where I
need to compile with -g only to make it crash.  Eli

In GNU Emacs 24.0.50.2 (x86_64-apple-darwin10.6.0, NS apple-appkit-1038.35)
 of 2011-03-15 on -MacBook-Air.local - Aquamacs Distribution 3.xdev
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

On Thu, Mar 17, 2011 at 9:20 PM, David Reitter <[email-masked]> wrote:
> X-Debbugs-CC: [email-masked]
>
> Maybe related to #8270
>
> E, I cannot tell from your report whether you're using the 23 or the 24 Emacs branch version.  We offer several development builds.
> Please follow up with the output of "Send Bug Report" from within Emacs or Aquamacs.
>
>
> Begin forwarded message:
>
>> From: emacs user <[email-masked]>
>> Date: March 17, 2011 3:00:24 PM EDT
>> To: [email-masked]
>> Subject: [Aquamacs-bugs] a related aquamacs crash
>> Reply-To: Bug reports for Aquamacs Emacs <[email-masked]>
>>
>> I downloaded the most recent development version of aquamacs and the
>> good news is that I cannot reproduce the bug I just reported with this
>> version. I hope the fix can make its way to gnu emacs at some point.
>> In any case, there is a similar/ possibly related bug which I find on
>> the gnu emacs trunk version so I tried it here and it does occur:  I
>> compiled the most recent development version of aquamacs with
>> CFLAGS=-g.  when I start vm to read my mail it crashes with the
>> following gdb output.  again, please let me know if there is anything
>> else I can do, thanks, E
>>
>> $ gdb /usr/local/aquamacs/davidswelt-aquamacs-emacs-3c35cfa/nextstep/Aquamacs.app/Contents/MacOS/Aquamacs
>> GNU gdb 6.3.50-20050815 (Apple version gdb-1472) (Wed Jul 21 10:53:12 UTC 2010)
>> Copyright 2004 Free Software Foundation, Inc.
>> GDB is free software, covered by the GNU General Public License, and you are
>> welcome to change it and/or distribute copies of it under certain conditions.
>> Type "show copying" to see the conditions.
>> There is absolutely no warranty for GDB.  Type "show warranty" for details.
>> This GDB was configured as "x86_64-apple-darwin"...Reading symbols for
>> shared libraries ............... done
>>
>> DISPLAY = /tmp/launch-CiFba6/org.x:0
>> TERM = xterm-color
>> Breakpoint 1 at 0x624dd2f19c9c7f
>> Breakpoint 2 at 0x10013710e: file sysdep.c, line 840.
>> (gdb) run
>> Starting program:
>> /usr/local/aquamacs/davidswelt-aquamacs-emacs-3c35cfa/nextstep/Aquamacs.app/Contents/MacOS/Aquamacs
>> Reading symbols for shared libraries
>> .++++++++++++++.....................................................................................................................
>> done
>> Reading symbols for shared libraries . done
>> Reading symbols for shared libraries . done
>> Reading symbols for shared libraries . done
>> Reading symbols for shared libraries . done
>> Reading symbols for shared libraries . done
>> Reading symbols for shared libraries . done
>> Reading symbols for shared libraries . done
>> Reading symbols for shared libraries . done
>>
>> Program received signal EXC_BAD_ACCESS, Could not access memory.
>> Reason: KERN_PROTECTION_FAILURE at address: 0x00007fff5f3aefd8
>> 0x00000001001a416d in mark_object (arg=Cannot access memory at address
>> 0x7fff5f3aefd8
>> ) at alloc.c:5263
>> 5263  {
>> (gdb) xbt
>> Undefined command: "xbt".  Try "help".
>> (gdb) backtrace full
>> #0  0x00000001001a416d in mark_object (arg=Cannot access memory at
>> address 0x7fff5f3aefd8
>> ) at alloc.c:5263
>>       obj = Cannot access memory at address 0x7fff5f3aef98
>>
>> Lisp Backtrace:
>> "vm-tokenized-summary-insert"warning: Unable to restore previously
>> selected frame.
>> Unsafe to call functions on thread 1: function: malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfb148)
>> "vm-do-summary"Unsafe to call functions on thread 1: function:
>> malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfb678)
>> "vm-do-needed-summary-rebuild"Unsafe to call functions on thread 1:
>> function: malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfbb88)
>> Unsafe to call functions on thread 1: function: malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> 0x2d4a770 PVEC_COMPILED
>> "mapatoms"Unsafe to call functions on thread 1: function:
>> malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfc238)
>> "vm-update-summary-and-mode-line"Unsafe to call functions on thread 1:
>> function: malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfc748)
>> "vm-summarize"Unsafe to call functions on thread 1: function:
>> malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfcc78)
>> "byte-code"Unsafe to call functions on thread 1: function:
>> malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfd0d0)
>> "vm"Unsafe to call functions on thread 1: function:
>> malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfd780)
>> "vm-my-open-folder-RMAIL"Unsafe to call functions on thread 1:
>> function: malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfdb80)
>> "call-interactively"Unsafe to call functions on thread 1: function:
>> malloc_gdb_po_unsafe on stack
>> warning: check_safe_call: could not restore current frame
>>
>> warning: Canceling operation - malloc lock could be held on current thread.
>> (0x5fbfdfb8)
>> (gdb)
>>
>
>
>
>